%define module hpilo

Name:           python-%module
Version:        2.11
Release:        %mkrel 3
License:        GPLv3+
Summary:        Python tools to configure HP ProLiant servers through the iLO HP RESTful API
Url:            https://pythonhosted.org/python-hpilo
Group:          Development/Python
Source:         https://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-cloud_sptheme

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cloud_sptheme
BuildArch:      noarch

%description
Python cli and API to control the configuration of HP ProLiant servers 
through the HP RESTful API provide by the HP iLO.

%package -n python3-%{module}
Summary:        Python3 tools to configure HP ProLiant servers through the iLO HP RESTful API
Group:          Development/Python

%description -n python3-%{module}
Python3 cli and API to control the configuration of HP ProLiant servers 
through the HP RESTful API provide by the HP iLO.

%package doc
Summary: Documentation for python-%{module}
Group: Documentation

BuildRequires: python-sphinx
BuildRequires: python-sphinx_rtd_theme


%description doc
Doumentation for the hpilo CLI and python tools.

%prep
%setup -q -n python-%{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot} 
mv %{buildroot}/%{_bindir}/%{module}_cli %{buildroot}%{_bindir}/python3-%{module}_cli
mv %{buildroot}/%{_bindir}/%{module}_ca %{buildroot}%{_bindir}/python3-%{module}_ca
popd
%{__python} setup.py install --root %{buildroot}

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html docs html
sphinx-build -b man docs man
install -p -D -m 644 man/python-%{module}.1 %{buildroot}%{_mandir}/man1/python-%{module}.1
install -d -m 755 %{buildroot}%{_docdir}/python-%{module}/html/
install -p -D -m 644 html/*.html %{buildroot}%{_docdir}/python-%{module}/html/

%files
%doc CHANGES COPYING README PKG-INFO
%{_bindir}/%{module}_*
%{python_sitelib}/*
%{_mandir}/man1/*.1.*

%files -n python3-%{module}
%doc CHANGES COPYING README PKG-INFO
%{_bindir}/python3-%{module}_*
%{python3_sitelib}/*
%{_mandir}/man1/*.1.*

%files -n python-%{module}-doc
%dir %{_docdir}/python-%{module}/html
%doc %{_docdir}/python-%{module}/html/*.html


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.11-3.mga6
+ Revision: 971013
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.11-2.mga6
+ Revision: 889063
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sun Jul 12 2015 bcornec <bcornec> 2.11-1.mga6
+ Revision: 853449
- Fix a typo
- Update to upstream 2.11

* Wed Oct 15 2014 umeabot <umeabot> 2.8-4.mga5
+ Revision: 745138
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.8-3.mga5
+ Revision: 728733
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Thu Sep 11 2014 bcornec <bcornec> 2.8-1.mga5
+ Revision: 674615
- Explicitely make a dep on python-cloud_sptheme
- Added a forfotten sha1 file
- Import from upstream python-hpilo
- Created package structure for python-hpilo.

